## org.apache.maven.shared.jar.identification.exposers
Class JarClassesExposer

    java.lang.Object
      org.apache.maven.shared.jar.identification.exposers.JarClassesExposer

All Implemented Interfaces:
  JarIdentificationExposer

    public class JarClassesExposer

extends java.lang.Object
implements JarIdentificationExposer

Exposer that examines a JAR file to derive Maven metadata from the classes in a JAR. It will currently identify potential group IDs from the class packages.

Note: if not being used from Plexus, the `setAnalyzer(org.apache.maven.shared.jar.classes.JarClassesAnalysis)` method must be called to avoid a NullPointerException during the expose method.

Plexus Component:
  role="org.apache.maven.shared.jar.identification.JarIdentificationExposer" role-hint="jarClasses"

Constructor Summary
`JarClassesExposer()`

Method Summary
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.
`void` `setAnalyzer(JarClassesAnalysis analyzer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarClassesExposer

    public JarClassesExposer()

Method Detail

### expose

    public void expose(JarIdentification identification,
                       JarAnalyzer jarAnalyzer)

  Description copied from interface: `JarIdentificationExposer`
  Expose metadata during the identification process.

  Specified by:
    `expose` in interface `JarIdentificationExposer`
  Parameters:
    `identification` - the identification record to populate with the exposed metadata
    `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.

### setAnalyzer

    public void setAnalyzer(JarClassesAnalysis analyzer)

Copyright © 2011. All Rights Reserved.